Package org.bukkit.material

# Class Command

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Command

All Implemented Interfaces:
  `Cloneable`, `Redstone`

@Deprecated public class Command extends MaterialData implements Redstone
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a command block

## Constructor Summary

Constructors
Constructor
Description
`Command()`
Deprecated.
`Command(Material type)`
Deprecated.
`Command(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Command`
`clone()`
Deprecated.
`boolean`
`isPowered()`
Deprecated.
Gets the current state of this Material, indicating if it's powered or unpowered
`void`
`setPowered(boolean bool)`
Deprecated.
Sets the current state of this Material
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Command

public Command()
Deprecated.

### Command

public Command(Material type)
Deprecated.

### Command

@Deprecated public Command(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### isPowered

public boolean isPowered()
Deprecated.
Gets the current state of this Material, indicating if it's powered or unpowered

Specified by:
  `isPowered` in interface `Redstone`
Returns:
  true if powered, otherwise false

### setPowered

public void setPowered(boolean bool)
Deprecated.
Sets the current state of this Material

Parameters:
  `bool` - whether or not the command block is powered

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public Command clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`